# Uses of Interface
javax.swing.tree.TreeSelectionModel

Packages that use TreeSelectionModel
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

## Uses of TreeSelectionModel in javax.swing

Classes in javax.swing that implement TreeSelectionModel
Modifier and Type
Class
Description
`protected static class`
`JTree.EmptySelectionModel`
`EmptySelectionModel` is a `TreeSelectionModel` that does not allow anything to be selected.
Fields in javax.swing declared as TreeSelectionModel
Modifier and Type
Field
Description
`protected TreeSelectionModel`
JTree.`selectionModel`
Models the set of selected nodes in this tree.
Methods in javax.swing that return TreeSelectionModel
Modifier and Type
Method
Description
`TreeSelectionModel`
JTree.`getSelectionModel()`
Returns the model for selections.
Methods in javax.swing with parameters of type TreeSelectionModel
Modifier and Type
Method
Description
`void`
JTree.`setSelectionModel(TreeSelectionModel selectionModel)`
Sets the tree's selection model.

## Uses of TreeSelectionModel in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as TreeSelectionModel
Modifier and Type
Field
Description
`protected TreeSelectionModel`
BasicTreeUI.`treeSelectionModel`
Model maintaining the selection.
Methods in javax.swing.plaf.basic that return TreeSelectionModel
Modifier and Type
Method
Description
`protected TreeSelectionModel`
BasicTreeUI.`getSelectionModel()`
Returns the current instance of the `TreeSelectionModel` which is the model for selections.
Methods in javax.swing.plaf.basic with parameters of type TreeSelectionModel
Modifier and Type
Method
Description
`protected void`
BasicTreeUI.`setSelectionModel(TreeSelectionModel newLSM)`
Resets the selection model.

## Uses of TreeSelectionModel in javax.swing.tree

Classes in javax.swing.tree that implement TreeSelectionModel
Modifier and Type
Class
Description
`class`
`DefaultTreeSelectionModel`
Default implementation of TreeSelectionModel.
Fields in javax.swing.tree declared as TreeSelectionModel
Modifier and Type
Field
Description
`protected TreeSelectionModel`
AbstractLayoutCache.`treeSelectionModel`
Selection model.
Methods in javax.swing.tree that return TreeSelectionModel
Modifier and Type
Method
Description
`TreeSelectionModel`
AbstractLayoutCache.`getSelectionModel()`
Returns the model used to maintain the selection.
Methods in javax.swing.tree with parameters of type TreeSelectionModel
Modifier and Type
Method
Description
`void`
AbstractLayoutCache.`setSelectionModel(TreeSelectionModel newLSM)`
Sets the `TreeSelectionModel` used to manage the selection to new LSM.